Get API request log entry detail

GEThttps://app.speybooks.com/api/v1/api-request-log/{id}

Full detail of a single API request log entry including the request headers, request body, and response body (credentials redacted, bodies truncated). Use for debugging specific failed requests or auditing API usage.

Returns 404 if the entry does not exist or belongs to another organisation.

Path parameters

idintegerrequired
Request log entry ID.

Response

200Full request log entry including request headers, request body, and response body.
Show response fields
apiKeyIdinteger
createdAtstringdate-time
idinteger
ipAddressstring
keyNamestring
keyPreviewstring
methodstring
pathstring
requestBodyobject
Show child attributes
contactIdstring
issueDatestring
requestHeadersobject
Show child attributes
authorizationstring
content-typestring
responseBodyobject
Show child attributes
errorobject
Show child attributes
codestring
messagestring
successboolean
responseTimeMsinteger
statusCodeinteger
userAgentstring

Error codes

404Request log entry not found or does not belong to this organisation.